JUCE: AudioPlayHead::CurrentPositionInfo Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
AudioPlayHead::CurrentPositionInfo Struct Reference
juce_audio_basics » audio_play_head

This type is deprecated; prefer PositionInfo instead. More...

`#include <juce_AudioPlayHead.h>`

## Public Member Functions
bool | operator== (const CurrentPositionInfo &other) const noexcept
bool | operator!= (const CurrentPositionInfo &other) const noexcept
void | resetToDefault ()

## Public Attributes
double | bpm = 120.0
| The tempo in BPM.
int | timeSigNumerator = 4
| Time signature numerator, e.g.
int | timeSigDenominator = 4
| Time signature denominator, e.g.
int64 | timeInSamples = 0
| The current play position, in samples from the start of the timeline.
double | timeInSeconds = 0
| The current play position, in seconds from the start of the timeline.
double | editOriginTime = 0
| For timecode, the position of the start of the timeline, in seconds from 00:00:00:00.
double | ppqPosition = 0
| The current play position, in units of quarter-notes.
double | ppqPositionOfLastBarStart = 0
| The position of the start of the last bar, in units of quarter-notes.
FrameRate | frameRate = FrameRateType::fps23976
| The video frame rate, if applicable.
bool | isPlaying = false
| True if the transport is currently playing.
bool | isRecording = false
| True if the transport is currently recording.
double | ppqLoopStart = 0
| The current cycle start position in units of quarter-notes.
double | ppqLoopEnd = 0
| The current cycle end position in units of quarter-notes.
bool | isLooping = false
| True if the transport is currently looping.

## Detailed Description

This type is deprecated; prefer PositionInfo instead.

Some position info may be unavailable, depending on the host or plugin format. Unfortunately, CurrentPositionInfo doesn't have any way of differentiating between default values and values that have been set explicitly.

## Member Function Documentation

## ◆ operator==()

bool AudioPlayHead::CurrentPositionInfo::operator== | ( | const CurrentPositionInfo & | other | ) | const
| noexcept

## ◆ operator!=()

bool AudioPlayHead::CurrentPositionInfo::operator!= | ( | const CurrentPositionInfo & | other | ) | const
| noexcept

References operator==().

## ◆ resetToDefault()

void AudioPlayHead::CurrentPositionInfo::resetToDefault | ( |  | ) |

Referenced by AudioPlayHead::getCurrentPosition().

## Member Data Documentation

## ◆ bpm

double AudioPlayHead::CurrentPositionInfo::bpm = 120.0

The tempo in BPM.

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ timeSigNumerator

int AudioPlayHead::CurrentPositionInfo::timeSigNumerator = 4

Time signature numerator, e.g.

the 3 of a 3/4 time sig

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ timeSigDenominator

int AudioPlayHead::CurrentPositionInfo::timeSigDenominator = 4

Time signature denominator, e.g.

the 4 of a 3/4 time sig

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ timeInSamples

int64 AudioPlayHead::CurrentPositionInfo::timeInSamples = 0

The current play position, in samples from the start of the timeline.

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ timeInSeconds

double AudioPlayHead::CurrentPositionInfo::timeInSeconds = 0

The current play position, in seconds from the start of the timeline.

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ editOriginTime

double AudioPlayHead::CurrentPositionInfo::editOriginTime = 0

For timecode, the position of the start of the timeline, in seconds from 00:00:00:00.

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ ppqPosition

double AudioPlayHead::CurrentPositionInfo::ppqPosition = 0

The current play position, in units of quarter-notes.

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ ppqPositionOfLastBarStart

double AudioPlayHead::CurrentPositionInfo::ppqPositionOfLastBarStart = 0

The position of the start of the last bar, in units of quarter-notes.

This is the time from the start of the timeline to the start of the current bar, in ppq units.

Note - this value may be unavailable on some hosts, e.g. Pro-Tools. If it's not available, the value will be 0.

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ frameRate

FrameRate AudioPlayHead::CurrentPositionInfo::frameRate = FrameRateType::fps23976

The video frame rate, if applicable.

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ isPlaying

bool AudioPlayHead::CurrentPositionInfo::isPlaying = false

True if the transport is currently playing.

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ isRecording

bool AudioPlayHead::CurrentPositionInfo::isRecording = false

True if the transport is currently recording.

(When isRecording is true, then isPlaying will also be true).

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ ppqLoopStart

double AudioPlayHead::CurrentPositionInfo::ppqLoopStart = 0

The current cycle start position in units of quarter-notes.

Note that not all hosts or plugin formats may provide this value.

See also
  isLooping

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ ppqLoopEnd

double AudioPlayHead::CurrentPositionInfo::ppqLoopEnd = 0

The current cycle end position in units of quarter-notes.

Note that not all hosts or plugin formats may provide this value.

See also
  isLooping

Referenced by AudioPlayHead::getCurrentPosition().

## ◆ isLooping

bool AudioPlayHead::CurrentPositionInfo::isLooping = false

True if the transport is currently looping.

Referenced by AudioPlayHead::getCurrentPosition().

The documentation for this struct was generated from the following file:

- juce_AudioPlayHead.h